# Method: customers.userListQueries.start

- [HTTP request](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/start#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/start#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/start#body.request_body)
  - [JSON representation](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/start#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/start#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/customers.userListQueries/start#body.aspect)

Starts execution on a stored user list query. The results uploaded to the specified Google Ads user list. The returned operation name can be used to poll for query completion status.

### HTTP request

`POST https://adsdatahub.googleapis.com/v1/{name=customers/*/userListQueries/*}:start`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Full resource name, e.g. 'customers/123/userListQueries/abcd1234'. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "spec": { object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/QueryExecutionSpec`) }, "userListId": string, "customerId": string } ``` |

| Fields ||
|---|---|
| `spec` | ``object (`https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/QueryExecutionSpec`)`` Defines the query execution parameters. |
| `userListId` | `string (https://developers.google.com/discovery/v1/type-format format)` Google Ads user list ID. Note that the user list must be managed by the Ads Data Hub customer executing the query. |
| `customerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. Ads Data Hub customer executing the query. If not specified, defaults to the customer that owns the query. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/marketers/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`